# Interface JmolAppletInterface

All Superinterfaces:
  `JmolSyncInterface`

All Known Implementing Classes:
  `GenericApplet, Jmol`

public interface JmolAppletInterface extends JmolSyncInterface
This is the API of methods that are available to JavaScript via LiveConnect to the Jmol applet. DONT FORGET TO ADD THESE FUNCTIONS TO src/JmolApplet.java !!!

## Method Summary

Modifier and Type
Method
Description
`void`
`destroy()`
`String`
`getAppletInfo()`
`int`
`getModelIndexFromId(String id)`
`Object`
`getProperty(String infoType)`
`Object`
`getProperty(String infoType, String paramInfo)`
`String`
`getPropertyAsJSON(String infoType)`
`String`
`getPropertyAsJSON(String infoType, String paramInfo)`
`String`
`getPropertyAsString(String infoType)`
`String`
`getPropertyAsString(String infoType, String paramInfo)`
`boolean`
`handleEvent(Event event)`
`String`
`loadDOMNode(Object DOMNode)`
`String`
`loadInline(String strModel)`
Deprecated.
`String`
`loadInline(String[] strModels)`
Deprecated.
`String`
`loadInline(String[] strModels, String script)`
Deprecated.
`String`
`loadInline(String strModel, String script)`
Deprecated.
`String`
`loadInlineArray(String[] strModels, String script, boolean isAppend)`
`String`
`loadInlineString(String strModel, String script, boolean isAppend)`
`void`
`notifyAudioEnded(Object htParams)`
`void`
`script(String script)`
`String`
`scriptCheck(String script)`
`String`
`scriptNoWait(String script)`
`String`
`scriptWait(String script)`
`String`
`scriptWait(String script, String statusParams)`
`String`
`scriptWaitOutput(String script)`
`void`
`setCallback(String name, Object callbackObject)`
`Object`
`setStereoGraphics(boolean isStereo)`

### Methods inherited from interface JmolSyncInterface

`getJSpecViewProperty, register, syncScript`

## Method Details

### setCallback

void setCallback(String name, Object callbackObject)

### handleEvent

boolean handleEvent(Event event)

### getAppletInfo

String getAppletInfo()

### destroy

void destroy()

### setStereoGraphics

Object setStereoGraphics(boolean isStereo)

### script

void script(String script)

### scriptCheck

String scriptCheck(String script)

### scriptWait

String scriptWait(String script)

### scriptWaitOutput

String scriptWaitOutput(String script)

### scriptWait

String scriptWait(String script, String statusParams)

### scriptNoWait

String scriptNoWait(String script)

### getModelIndexFromId

int getModelIndexFromId(String id)

Parameters:
  `id` - some_id, filename#id, or ~fileNo.modelNo added ".basemodel" indicates to get the first model in a series from a JDX-MOL file.
Returns:
  model index if found; -2 if file found but model not found -2 if no file indicated and no model found -1 if no such file

### getProperty

Object getProperty(String infoType)

### getPropertyAsString

String getPropertyAsString(String infoType)

### getPropertyAsString

String getPropertyAsString(String infoType, String paramInfo)

### getPropertyAsJSON

String getPropertyAsJSON(String infoType)

### getPropertyAsJSON

String getPropertyAsJSON(String infoType, String paramInfo)

### getProperty

Object getProperty(String infoType, String paramInfo)

### loadInlineString

String loadInlineString(String strModel, String script, boolean isAppend)

### loadInlineArray

String loadInlineArray(String[] strModels, String script, boolean isAppend)

### loadDOMNode

String loadDOMNode(Object DOMNode)

### notifyAudioEnded

void notifyAudioEnded(Object htParams)

### loadInline

@Deprecated String loadInline(String strModel)
Deprecated.

Parameters:
  `strModel` -
Returns:
  error or null

### loadInline

@Deprecated String loadInline(String[] strModels)
Deprecated.

Parameters:
  `strModels` -
Returns:
  error or null

### loadInline

@Deprecated String loadInline(String strModel, String script)
Deprecated.

Parameters:
  `strModel` -
  `script` -
Returns:
  error or null

### loadInline

@Deprecated String loadInline(String[] strModels, String script)
Deprecated.

Parameters:
  `strModels` -
  `script` -
Returns:
  error or null